## gate.creole
Class TestPR

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.creole.TestPR

All Implemented Interfaces:
  junit.framework.Test

public class TestPR
extends junit.framework.TestCase

Test the PRs on three documents

Constructor Summary
`TestPR(String name)` Construction

Method Summary
`void` `compareAnnots(Document keyDocument, Document responseDocument)`
`static void` `main(String[] args)`
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `tearDown()` Put things back as they should be after running tests.
`void` `testAllPR()` A test for comparing the annotation sets
`void` `testGazetteer()`
`void` `testOrthomatcher()`
`void` `testSplitter()`
`void` `testTagger()`
`void` `testTokenizer()`
`void` `testTransducer()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, name, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestPR

    public TestPR(String name)

  Construction

Method Detail

### setUp

    public void setUp()
               throws Exception

  Fixture set up

### tearDown

    public void tearDown()
                  throws Exception

  Put things back as they should be after running tests.

### testTokenizer

    public void testTokenizer()
                       throws Exception

### testGazetteer

    public void testGazetteer()
                       throws Exception

### testSplitter

    public void testSplitter()
                      throws Exception

### testTagger

    public void testTagger()
                    throws Exception

### testTransducer

    public void testTransducer()
                        throws Exception

### testOrthomatcher

    public void testOrthomatcher()
                          throws Exception

### testAllPR

    public void testAllPR()
                   throws Exception

  A test for comparing the annotation sets

### compareAnnots

    public void compareAnnots(Document keyDocument,
                              Document responseDocument)

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner

### main

    public static void main(String[] args)